tigase.jaxmpp.android.chat

## Class AndroidChatManager

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.chat.AbstractChatManager
  - - tigase.jaxmpp.android.chat.AndroidChatManager

-     public class AndroidChatManager
      extends AbstractChatManager

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.chat.AbstractChatManager

      `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndroidChatManager(ChatProvider provider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `close(Chat chat)`
    `Chat` | `createChat(JID fromJid, String threadId)`
    `Chat` | `getChat(JID jid, String threadId)`
    `List<Chat>` | `getChats()`
    `boolean` | `isChatOpenFor(BareJID jid)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.chat.AbstractChatManager

      `getContext, initialize, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AndroidChatManager

          public AndroidChatManager(ChatProvider provider)

  - ### Method Detail

    - #### close

          public boolean close(Chat chat)
                        throws JaxmppException

      Specified by:
        `close` in class `AbstractChatManager`
      Throws:
        `JaxmppException`

    - #### createChat

          public Chat createChat(JID fromJid,
                                 String threadId)
                          throws JaxmppException

      Specified by:
        `createChat` in class `AbstractChatManager`
      Throws:
        `JaxmppException`

    - #### getChat

          public Chat getChat(JID jid,
                              String threadId)

      Specified by:
        `getChat` in class `AbstractChatManager`

    - #### getChats

          public List<Chat> getChats()

      Specified by:
        `getChats` in class `AbstractChatManager`

    - #### isChatOpenFor

          public boolean isChatOpenFor(BareJID jid)

      Specified by:
        `isChatOpenFor` in class `AbstractChatManager`

Copyright © 2006–2016 Tigase. All rights reserved.